Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2027 - tcpdump doesn't match any packets when using filters on loopback interface
Summary: tcpdump doesn't match any packets when using filters on loopback interface
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-07 06:23 UTC by Bradley
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-04 13:21:32 UTC


Attachments (Terms of Use)

Description Bradley 1999-04-07 06:23:34 UTC
Using tcpdump with a filter, on the loopback interface
doesn't match any packets.

Using -i lo, without a filter, or -i ppp0 port 23 does work,
returing the requested packets, but

~# /usr/sbin/tcpdump -i lo port 23

doesn't (using src or dst rather that port doesn't work
either)

Comment 1 Jeff Johnson 1999-08-04 13:21:59 UTC
Fixed in tcpdump-3.4-11. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.